# **BugScanX** - Multifunctional SNI Bug Host Finder

**BugScanX** is a script developed by **Ayan Rajpoot** for discovering and analyzing SNI bug hosts in free internet configurations. It offers utilities like scanning hosts, subdomain discovery, IP lookups, open port checking, and more.

---

## 🚀 **Features**

- ⚡ **Host Checker Pro**: Multiple scanning modes and HTTP methods.
- 🖥️ **Host Checker**: Detect subdomains indicating SNI bug hosts.
- 📡 **CIDR Scanner**: Analyze IP addresses for potential SNI bug hosts.
- 🌐 **Subdomains Finder**: Identify active subdomains of a target domain.
- 🔍 **Reverse IP Lookup**: List domains hosted on the same IP.
- 🧰 **TXT Toolkit**: Handle text files—split, clean, remove duplicates, etc.
- 🔓 **Open Port Checker**: Scan for open ports on an IP or domain.
- 📜 **DNS Records**: Retrieve A, MX, TXT, and other DNS records.
- 💡 **Host OSINT**: Gather open-source intelligence on any host.
- 📖 **Help**: Detailed usage instructions for every tool.
- ⛔ **Exit**: Clean exit from the script.

---

## 📥 **Installation**

### Requirement
- **Python 3.x** should be installed.

### Install via `pip`:
```bash
pip install bugscan-x
```

---

## 🛠️ **Usage**
Run bugscanx by simply typing:
```bash
bugscanx
```

### **Menu**

![Menu](bugscanx/assets/bugscanx-menu.png)

To run the tool, select any option according to what you want to do, then input the required values when prompted.

---

## 🔒 **License**

Licensed under the **MIT License**. See the [LICENSE](LICENSE) file for details.

---

## 🤝 **Contributing**

To contribute:
1. Open an issue for bugs or suggestions.
2. Fork the repo and submit a pull request.

---

## 📞 **Support**

For support or questions, reach out via our [Telegram channel](https://t.me/BugScanX).

---

Enjoy using **BugScanX** for your SNI bug host discovery and network analysis! 🚀

---

